/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii.internal;

import com.draagon.wii.*;
import com.draagon.wii.servlet.*;

import java.io.*;

import javax.servlet.*;

public class StatisticsService extends BaseInternalService
{
  public void service( WIIRequest req, WIIResponse res )
    throws IOException, WIIException
  {
    try
    {
      String name = getInternalBaseURL( req ) + "statistics.jsp";
      RequestDispatcher rd = ((WIIServletRequest)req).getServlet().getServletContext().getRequestDispatcher( name );
      rd.include( ((WIIServletRequest)req).getServletRequest(), ((WIIServletResponseAdapter)res).getServletResponse() );
    }
    catch( ServletException e )
    {
      throw new WIIException( "Servlet Exception: [" + e.toString() + "]" );
    }
  }
}
